package com.oo.eye;

import android.text.TextUtils;

import com.oo.eye.bean.EyeHistroyBean;

/**
 * Created by xucon on 2017/12/22.
 */

public class EyeConfig {

	public static final String EYE_SETTING_KEY = "eye_setting_key";//小数法/五分法
	public static final String EYE_DISTANCE_SETTING_KEY = "eye_distance_setting_key";//测试距离
	public static final String EYE_DIRECTION_SETTING_KEY = "eye_direction_setting_key";//C字视标
	public static final String EYE_WAIT_SETTING_KEY = "eye_setting_wait_key";//测视等待时长
	public static final String EYE_REPORT_SETTING_KEY = "eye_report_setting_key";//检视报告
	public static final String EYE_HELP_SETTING_KEY = "eye_setting_help_key";//测视帮助

	private boolean isNetData = false;

	private String name;

	private EyeHistroyBean initBean;

	private EyeHistroyBean cuurentBean;

	private static EyeConfig instance = new EyeConfig();

	private EyeConfig(){

	}

	public static EyeConfig getInstance(){
		return instance;
	}

	public boolean isNetData() {
		return isNetData;
	}

	public void setNetData(boolean netData) {
		isNetData = netData;
	}

	public String getName() {
		if(TextUtils.isEmpty(name)){
			return "游客";
		}
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public EyeHistroyBean getInitBean() {
		return initBean;
	}

	public void setInitBean(EyeHistroyBean initBean) {
		this.initBean = initBean;
	}

	public EyeHistroyBean getCuurentBean() {
		return cuurentBean;
	}

	public void setCuurentBean(EyeHistroyBean cuurentBean) {
		this.cuurentBean = cuurentBean;
	}
}
